net.corda.contracts.asset

## Class Commands.Issue

- net.corda.contracts.asset.Obligation.Commands.Issue

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands, Commands.Issue, IssueCommand
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Issue
      implements Commands.Issue, Obligation.Commands

  Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Obligation.Commands

      `Commands.Exit<P>, Commands.Issue, Commands.Move, Commands.Net, Commands.SetLifecycle, Commands.Settle<P>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Issue(long nonce)` Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.
    `Issue()` Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `Commands.Issue` | `copy(long nonce)` Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.
    `boolean` | `equals(java.lang.Object p)`
    `long` | `getNonce()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.IssueCommand

      `getNonce`

- - ### Constructor Detail

    - #### Issue

          public Issue(long nonce)

      Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

    - #### Issue

          public Issue()

      Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

  - ### Method Detail

    - #### getNonce

          public long getNonce()

    - #### component1

          public long component1()

    - #### copy

          public Commands.Issue copy(long nonce)

      Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)